summaryrefslogtreecommitdiff
path: root/tests/misc/help-version
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-09-07 10:31:27 +0200
committerJim Meyering <meyering@redhat.com>2008-09-10 13:20:10 +0200
commit68561594ca022703e255b3ef5686f176317e5fd4 (patch)
tree2bb17f465ad51bb9bf212b871a95b877e558d2e0 /tests/misc/help-version
parent22e5102f1961c5552d20c3791cbc99b6b001e83f (diff)
downloadcoreutils-68561594ca022703e255b3ef5686f176317e5fd4.tar.xz
tests: use "Exit $fail", not (exit $fail); exit $fail
* tests/test-lib.sh (Exit): New function by Ralf Wildenhues in automake http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=20594c08f63 * tests/**: Convert all uses: This restrictive change converted the vast majority: git grep -l '^(exit \$fail); exit \$fail$' \ | xargs perl -pi -e 's/'^\(exit \$fail\); exit \$fail$/Exit \$fail/' And this did the rest, plus a few undesirable ones, so I manually backed out the changes to ChangeLog-* and build-aux/check.mk: git grep -l -E '\(exit [^)]+\); exit ' \ | xargs perl -pi -e 's/\(exit (.+?)\); exit \1/Exit $1/'
Diffstat (limited to 'tests/misc/help-version')
-rwxr-xr-xtests/misc/help-version4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/help-version b/tests/misc/help-version
index 8fa7a0b4a..c7bec357d 100755
--- a/tests/misc/help-version
+++ b/tests/misc/help-version
@@ -41,7 +41,7 @@ expected_failure_status_vdir=2
fail=0
test "$built_programs" \
- || { echo "$this_test: no programs built!?!" 1>&2; (exit $fail); exit $fail; }
+ || { echo "$this_test: no programs built!?!" 1>&2; Exit $fail; }
for lang in C fr da; do
for i in $built_programs; do
@@ -199,4 +199,4 @@ for i in $built_programs; do
rm -rf $tmp_in $tmp_in2 $tmp_out $tmp_dir
done
-(exit $fail); exit $fail
+Exit $fail